//
// Example use of mm_findpipette
//
// Bala Amavasai (bala@amavasai.org)
// $Header: /cvs/mimas/examples/findPipette/main.cc,v 1.7 2004/12/06 18:35:24 engjw Exp $
//


#include <fstream>
#include <iostream>
#include "mm_findpipette.h"
#include "mm_image_fileinput.h"

using namespace std;
using namespace mimas;

int	main(int argc, char **argv)
{
  int retVal = 0;
  try {
    mm_image<int> image1, image2;
    mm_findPipette pipette;
    int x,y;

    ifstream file1( "grabbed0090.pgm", ios::binary );
    file1 >> image1;
    ifstream file2( "grabbed0091.pgm", ios::binary );
    file2 >> image2;

    pipette.find(image1,image2, x, y);

    cerr << x << " " << y << endl;

  } catch ( exception &e ) {
    cerr << e.what() << endl;
    retVal = 1;
  };
  return retVal;

}
