#ifndef MM_IMAGE_OP_H
#define MM_IMAGE_OP_H

/** @page imageOperators Operators for mimas::mm_image.
    Element-wise operations are implemented using the
    @ref arrayOperators "operators for boost::multiarray".

    Functionality, which is specifically related to two-dimensional images,
    is implemented for \c mimas::mm_image.

    Algorithms, which can also be applied to n-dimensional arrays, are
    implemented for \c boost::multi_array. Corresponding wrappers for
    forwarding the calls are implemented for \c mimas::mm_image.

    @author Jan Wedekind <jan@wedesoft.de> 
    @date Mon Jun 13 17:19:18 UTC 2005
    @see arrayOperators */

#include "mm_image_op.tcc"

#endif
