#ifndef MM_POL_LOCATOR_H
#define MM_POL_LOCATOR_H

#include "mm_pol_match.h"

namespace mimas {
class mm_pol_match;

/**
 * 
 * abstract base class for the locating matches with POLs
 * stueymeikle 20021214
 *
 */
class mm_pol_locator: public mm_object
{
public:
	virtual void			init( int numdims, ...)=0;
	virtual void			addEntry( double weight, ... )=0;
	virtual mm_pol_match_ptr_list getMatches()=0;
};
}

#endif
