#include <exception>
#include <iostream>
#include <qapplication.h>
#include "dialog.h"

using namespace std;

int main( int argc, char *argv[] )
{
  int retVal = 0;
  try {
    QApplication app( argc, argv );
    Dialog dialog;
    app.setMainWidget( &dialog );
    dialog.show();
    retVal = app.exec();
  } catch ( exception &e ) {
    cerr << e.what() << endl;
    retVal = 1;
  };
  return retVal;
}
