#include <iostream>
#include <vector>
#include "mm_corrcoef.h"

using namespace std;
using namespace mimas;

int main( int, char *[] )
{
  int retVal = 0;
  try {
    const int
      dataA[ 5 ] = {  1,  4,  3,  4,  5 },
      dataB[ 5 ] = {  0, -3, -2, -1, -6 };
      
      vector<int>
        a( dataA, dataA + 5 ),
        b( dataB, dataB + 5 );
      
      mm_corrcoef< vector< int > > corrcoef;
      
      cout << "corrcoef( a, b ) = " << corrcoef( a, b ) << endl;
  } catch ( exception &e ) {
    cerr << e.what() << endl;
    retVal = 1;
  };
  return retVal;
}
