#include <exception>
#include <iostream>
#include <fstream>
#include <mm_image_fileinput.h>
#include <mm_image_qtoutput.h>
#include <mm_image_funcs.h>
#include <mm_property_image.h>
#include <mm_image.h>
#include <mm_rgba.h>
using namespace mimas;
using namespace std;
/**
*
*
*
*
* @author Manuel Boissenin
* @date 09/03/2005
*
* Time-stamp: <2005-03-11 17:31:56 engmb>
* Copyright (C) 2005 by Manuel Boissenin
*
 ***********************************************************************/


int main(int argc, char** argv)
{
  int retVal = 0;
  try{
    QApplication app( argc, argv );
    mm_image_qtoutput< mm_rgba<unsigned char>  > display( app );
    mm_image_qtoutput< unsigned char  > display2( app );

    mm_image<mm_rgba<unsigned char> > colorImage;
    
    std::ifstream file( argv[1], std::ios::binary );
    //file >> image; 
    file>> colorImage;
    /*
    mm_image<mm_rgba<unsigned char> >::ImageIterator i;

    //try different combination
    for (i = colorImage.upperLeft()+ Dist2D(0,10); i.x < colorImage.lowerRight().x; i.x++)
      {
	*i = mm_rgba<unsigned char>(0);
      }

    i = colorImage.ul();

    i[Dist2D(20,5)] = 0;
    i[Dist2D(20,6)] = 0;
    i[Dist2D(20,7)] = 0;
    */
    //display2 << image << mimas::pause();

    display << colorImage << mimas::pause();

    mm_image< int > image( colorImage );
    display2 << gradient( image.ul(), image.lr(), 110 )
             << mimas::pause();
  } catch (std::exception &e) {
    std::cerr << e.what() << std::endl;
    retVal = 1;
  };
  
  return retVal;
}






