#ifndef MM_OBJECT_H
#define MM_OBJECT_H

#include <boost/smart_ptr.hpp>

namespace mimas {

/** Common base class for most mimas objects.
    Base class for all mimas-objects. It enforces a virtual destructor.
    @author Stuart Meikle (stu@stumeikle.org)
    @date Tue Feb 22 11:14:31 2000 */
class	mm_object
{
 public:
  mm_object(void) {}
  virtual ~mm_object(void) {}
};

typedef boost::shared_ptr< mm_object > mm_object_ptr;

}

#endif
