#ifndef MM_SEGMENT_HASHMAP_TOOL
#define MM_SEGMENT_HASHMAP_TOOL

#include "mm_image.h"
#include "mm_rgba.h"

namespace mimas {
class mm_segment_hashmap_tool
{
	private:
		bool mapCreated;
		bool quantLevelsSet;
		
	protected:
		int ***hashmap;
		int qlevels;

	public:
		mm_segment_hashmap_tool(void);
		~mm_segment_hashmap_tool(void);
		void setQuantisationLevels(int levels);
		void storeColours(mm_image< mm_rgba< unsigned char > > &imagein);
		void segment(const mm_image< mm_rgba< unsigned char > > &imagein, mm_image< mm_rgba< unsigned char > > &imageout, int thres);
};

}

#endif
