#include "mm_x11_display.h"

namespace mimas {
mm_x11_display::mm_x11_display( const std::string &name ) throw (mm_exception)
{
  display = XOpenDisplay( name.empty() ? (const char *)NULL : name.c_str() );
  MMERROR( display != NULL, mm_exception, , "Error opening X11-display "
           << ( name.empty() ? "$DISPLAY" : name.c_str() ) << "." );
}

};
