#include "mm_config.h"

#ifdef HAVE_XALAN

#include "mm_xml_node_reference_list.h"

namespace mimas {

mm_xml_node_reference_list::mm_xml_node_reference_list
  ( const mm_xml_node_reference_list &l ):
#ifndef SIMPLEXPATH
  xObject( l.xObject ),
#endif
  nodeList( l.nodeList ), document( l.document )
{}

mm_xml_reference< XalanNode > mm_xml_node_reference_list::item( int index )
  const
{
  return mm_xml_reference< XalanNode >( nodeList.item( index ), document );
}

int mm_xml_node_reference_list::getLength(void) const
{
#ifdef SIMPLEXPATH
  return nodeList.getLength();
#else
  return (*xObject)->nodeset().getLength();
#endif
}

};

#endif
